Page MenuHomePhabricator

[Story] Provide API for constraint check
Closed, ResolvedPublic

Description

It would be good if other services (e.g. Freebase migration) could check if there is a violation before creating a statement on a certain item.

  • be able to check single statement
  • provide API

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : master[WIP] [DNM] Began to implement API for constraints.
mediawiki/extensions/WikibaseQualityConstraints : masterRefactor ConstraintLookup to accept PropertyId
mediawiki/extensions/WikibaseQualityConstraints : masterIn-memory ConstraintLookup implementation for tests
mediawiki/extensions/WikibaseQualityConstraints : masterExtracted ConstraintLookup one-method interface
mediawiki/extensions/WikibaseQualityConstraints : masterFake ConstraintChecker implementation for tests
mediawiki/extensions/WikibaseQualityConstraints : v1[DNM] Began to implement API for constraints.

Event Timeline

Jonaskeutel raised the priority of this task from to High.
Jonaskeutel updated the task description. (Show Details)
Jonaskeutel added subscribers: Aklapper, Jonaskeutel.
Tamslo set Security to None.
Tamslo moved this task from Backlog to WBQC Backlog on the Wikibase-Quality board.Jun 19 2015, 2:53 PM
Tamslo moved this task from WBQC Backlog to TODO on the Wikibase-Quality board.
Tamslo updated the task description. (Show Details)
Tamslo moved this task from TODO to DOING on the Wikibase-Quality board.Jun 23 2015, 9:30 PM
Karima added a subscriber: Karima.Jul 15 2015, 10:50 AM
soeren.oldag removed Dimitri.schmidt as the assignee of this task.Aug 13 2015, 10:46 AM
soeren.oldag moved this task from DOING to WBQC Backlog on the Wikibase-Quality board.
Lydia_Pintscher renamed this task from Provide API for constraint check to [Story] Provide API for constraint check.Aug 17 2015, 4:09 PM
Tamslo moved this task from WBQC Backlog to DOING on the Wikibase-Quality board.Aug 25 2015, 1:08 PM

Change 233697 had a related patch set uploaded (by Tamslo):
Began to implement API for constraints.

https://gerrit.wikimedia.org/r/233697

Change 235245 had a related patch set uploaded (by Tamslo):
[DNM] Began to implement API for constraints.

https://gerrit.wikimedia.org/r/235245

Change 233697 abandoned by Aklapper:
[DNM] Began to implement API for constraints.

Reason:
Seems to be superseded by https://gerrit.wikimedia.org/r/#/c/235245/ hence abandoning

https://gerrit.wikimedia.org/r/233697

Change 341521 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Olga Bode):
[mediawiki/extensions/WikibaseQualityConstraints] WikibaseQualityConstraints Extension (API)

https://gerrit.wikimedia.org/r/341521

Change 342259 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints] Fake ConstraintChecker implementation for tests

https://gerrit.wikimedia.org/r/342259

Change 342260 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints] Extracted ConstraintLookup one-method interface

https://gerrit.wikimedia.org/r/342260

Change 342261 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints] In-memory ConstraintLookup implementation for tests

https://gerrit.wikimedia.org/r/342261

Change 342497 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints] Refactor ConstraintLookup to accept PropertyId

https://gerrit.wikimedia.org/r/342497

Change 342259 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints] Fake ConstraintChecker implementation for tests

https://gerrit.wikimedia.org/r/342259

Change 342260 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints] Extracted ConstraintLookup one-method interface

https://gerrit.wikimedia.org/r/342260

Change 342261 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints] In-memory ConstraintLookup implementation for tests

https://gerrit.wikimedia.org/r/342261

Change 342497 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints] Refactor ConstraintLookup to accept PropertyId

https://gerrit.wikimedia.org/r/342497

daniel lowered the priority of this task from High to Normal.Mar 14 2017, 3:03 PM
daniel moved this task from Review to Doing on the Wikidata-Former-Sprint-Board board.
Jonas closed this task as Resolved.Apr 15 2017, 4:27 PM
Jonas moved this task from Doing to Done on the Wikidata-Former-Sprint-Board board.

Change 235245 abandoned by Thiemo Kreuz (WMDE):
[WIP] [DNM] Began to implement API for constraints.

Reason:
The API now exists.

https://gerrit.wikimedia.org/r/235245